This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 139586 - multiple defines for symbols __NR_epoll_wait and __NR_epoll_ctl in /usr/include/asm-x86_64/unistd.h
multiple defines for symbols __NR_epoll_wait and __NR_epoll_ctl in /usr/inclu...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 146015 156322
  Show dependency treegraph
 
Reported: 2004-11-16 15:25 EST by sheryl sage
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2005-716
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sheryl sage 2004-11-16 15:25:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
There are mutliple defines in /usr/include/asm-x86_64/unistd.h for 
symbols __NR_epoll_wait and __NR_epoll_ctl

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. n/a
2.
3.
    

Actual Results:  invalid

Expected Results:  a working header file.

Additional info:
Comment 1 Dave Jones 2004-11-16 18:23:09 EST
fixed in upstream cvs.
Comment 5 Arjan van de Ven 2005-01-28 03:16:28 EST
this is misfiled against the wrong package, fixing.
Comment 14 David Woodhouse 2005-04-15 12:36:54 EDT
This should be fixed in the 2.4-9.1.92 version of glibc-kernheaders, which is
now present in Fedora Rawhide and will hopefully be making its way into a RHEL4
update. Please could you test that it works for you now?
Comment 21 Red Hat Bugzilla 2005-10-05 08:05:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html
Comment 22 Red Hat Bugzilla 2005-10-05 08:20:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html

Note You need to log in before you can comment on or make changes to this bug.